# gridX API Changelog

**URL:** <https://community.developer.gridx.de/t/gridx-api-changelog/324>\
**Category:** 📚 API Documentation\
**Tags:** changelog\
**Created:** [December 6, 2024, 1:32pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324 "2024-12-06T13:32:10Z")\
**Posts on this page:** 20\
**Page:** 1

<div class="post-metadata">

**Author:** ![wwerner](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/wwerner/32/7_2.png) [@wwerner](https://community.developer.gridx.de/u/wwerner)\
**Post date:** [December 6, 2024, 1:32pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/1 "2024-12-06T13:32:10Z")

</div>

This topics contains changes to the [gridX API](https://community.developer.gridx.de/t/xenon-api-documentation/213).  
We constantly evolve our APIs in a non-breaking manner. All changes will be recorded here, so you can follow along and become aware of new capabilities, optimization and deprecations.

For breaking changes, there will be prior deprecation with long-enough grace periods. Details on future API evolution processes will follow.

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [December 13, 2024, 10:04am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/4 "2024-12-13T10:04:18Z")

</div>

# Changelog 2024-12-13T10:04:17.357Z

## GET /accounts/{accountID}/systems

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

## GET /clusters/{clusterID}/live

- added the optional property ‘heatPumps/items/sgReadyState’ to the response with the ‘200’ status

## GET /gateways

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘/items/scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘scanners/items/’ response property for the response status ‘200’
- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘system/gateways/items/scanners/items/’ response property for the response status ‘200’

## PATCH /gateways/{gatewayID}

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}/scans

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘/items/scanners/items/name’ response property for the response status ‘200’

## GET /systems

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

## POST /systems

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘201’

## GET /systems/{systemID}

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’

## PATCH /systems/{systemID}

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’

## POST /systems/{systemID}/gateways

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘scanners/items/’ response property for the response status ‘201’

## GET /systems/{systemID}/live

- added the optional property ‘heatPumps/items/sgReadyState’ to the response with the ‘200’ status

## GET /user/stars/systems

- ⚠ added the new ‘GOODWE\_MODBUS\_TCP\_INVERTER’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

(sha 74b537dd)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [December 18, 2024, 10:19am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/5 "2024-12-18T10:19:57Z")

</div>

# Changelog 2024-12-18T10:19:57.369Z

## GET /clusters/{clusterID}/live

- ⚠ added the new ‘SG\_READY\_AUTO’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_OFF’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_RECOMMEND\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_UNKNOWN’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- the ‘sgReadyState’ response’s property default value ‘SG\_READY\_UNKNOWN’ was added for the status ‘200’

## GET /systems/{systemID}/live

- ⚠ added the new ‘SG\_READY\_AUTO’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_OFF’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_RECOMMEND\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘SG\_READY\_UNKNOWN’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- the ‘sgReadyState’ response’s property default value ‘SG\_READY\_UNKNOWN’ was added for the status ‘200’

## GET /systems/{systemID}/timeofuse/settings

- the response property ‘enabledPVCurtailment’ became required for the status ‘200’

## PATCH /systems/{systemID}/timeofuse/settings

- the response property ‘enabledPVCurtailment’ became required for the status ‘200’

## PUT /systems/{systemID}/timeofuse/settings

- the response property ‘enabledPVCurtailment’ became required for the status ‘200’

## GET /systems/{systemID}/timeofuse/status

- ⚠ added the new ‘PV\_CURTAILMENT\_NOT\_SUPPORTED’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’

## GET /systems/{systemID}/timeofuse/status/current

- ⚠ added the new ‘PV\_CURTAILMENT\_NOT\_SUPPORTED’ enum value to the ‘status/error\_code’ response property for the response status ‘200’

(sha f625ca89)

---

<div class="post-metadata">

**Author:** ![c.coltsman](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/c.coltsman/32/107_2.png) [@c.coltsman](https://community.developer.gridx.de/u/c.coltsman)\
**Post date:** [December 20, 2024, 2:57pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/6 "2024-12-20T14:57:39Z")

</div>

Good afternoon everyone. We recently added the HeatPump SGReadyState to the live measurements. Unfortunately, we didn’t realize the inconsistent enum values. For example, in the raw measurements they are:

```txt
* AUTO
* OFF
* ON
* RECOMMENDED_ON
* UNKNOWN

```

We would like to correct this inconsistent naming and propose to make the changes on Monday, 2024-12-23T10:00:00Z. We’ll closely monitor for issues and roll back if there are any.

Apologies if you’ve already started using this field. If so, please let us know, so we can arrange a time to rollout the changes that is more convient.

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [December 23, 2024, 10:44am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/7 "2024-12-23T10:44:20Z")

</div>

# Changelog 2024-12-23T10:44:19.745Z

## GET /clusters/{clusterID}/live

- ⚠ added the new ‘AUTO’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘OFF’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘RECOMMEND\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- the ‘sgReadyState’ response’s property default value changed from ‘SG\_READY\_UNKNOWN’ to ‘UNKNOWN’ for the status ‘200’
- removed the ‘SG\_READY\_AUTO’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_OFF’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_ON’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_RECOMMEND\_ON’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_UNKNOWN’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’

## GET /systems/{systemID}/live

- ⚠ added the new ‘AUTO’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘OFF’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘RECOMMEND\_ON’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- the ‘sgReadyState’ response’s property default value changed from ‘SG\_READY\_UNKNOWN’ to ‘UNKNOWN’ for the status ‘200’
- removed the ‘SG\_READY\_AUTO’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_OFF’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_ON’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_RECOMMEND\_ON’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’
- removed the ‘SG\_READY\_UNKNOWN’ enum value from the ‘heatPumps/items/sgReadyState’ response property for the response status ‘200’

(sha 0b8502c7)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [January 2, 2025, 12:36pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/8 "2025-01-02T12:36:05Z")

</div>

# Changelog 2025-01-02T12:36:04.496Z

## GET /clusters/{clusterID}/live

- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’

## GET /systems/{systemID}/historical

- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘data/items/evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘total/evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘data/items/evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘total/evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘data/items/evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘total/evChargingStations/items/plugState’ response property for the response status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’

## GET /systems/{systemID}/live

- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘PLUGGED\_ON\_STATION\_AND\_PLUGGED\_ON\_VEHICLE’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘evChargingStation/plugState’ response property for the response status ‘200’
- ⚠ added the new ‘UNPLUGGED’ enum value to the ‘evChargingStations/items/plugState’ response property for the response status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’
- the ‘plugState’ response’s property default value ‘UNPLUGGED’ was added for the status ‘200’

(sha bedb9dba)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [January 21, 2025, 1:17pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/9 "2025-01-21T13:17:12Z")

</div>

# Changelog 2025-01-21T13:17:12.014Z

## GET /account/tariffs

- api path removed with deprecation

## POST /account/tariffs

- api path removed with deprecation

## DELETE /account/tariffs/{tariffID}

- api path removed with deprecation

## GET /account/tariffs/{tariffID}

- api path removed with deprecation

## PATCH /account/tariffs/{tariffID}

- api path removed with deprecation

## GET /accounts/{accountID}/systems

- ⚠ removed the optional property ‘/items/tariffID’ from the response with the ‘200’ status

## GET /gateways/{gatewayID}

- ⚠ removed the optional property ‘system/tariffID’ from the response with the ‘200’ status

## GET /gateways/{gatewayID}/appliances

- removed ‘ELECTROLYZER’ discriminator mapping keys from the ‘/items/’ response property for the response status ‘200’
- removed ‘#/components/schemas/Electrolyzer’ from the ‘/items/’ response property ‘oneOf’ list for the response status ‘200’

## GET /gateways/{gatewayID}/appliances/{applianceID}

- removed ‘ELECTROLYZER’ mapping keys from the response discriminator for the response status ‘200’
- removed ‘#/components/schemas/Electrolyzer’ from the response body ‘oneOf’ list for the response status ‘200’

## PATCH /gateways/{gatewayID}/appliances/{applianceID}

- removed ‘ELECTROLYZER’ mapping keys from the response discriminator for the response status ‘200’
- removed ‘#/components/schemas/Electrolyzer’ from the response body ‘oneOf’ list for the response status ‘200’

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements

- removed ‘#/components/schemas/ElectrolyzerMeasurement’ from the ‘/items/’ response property ‘oneOf’ list for the response status ‘200’

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements/appliance

- removed ‘#/components/schemas/ElectrolyzerMeasurement’ from the ‘/items/’ response property ‘oneOf’ list for the response status ‘200’

## GET /gateways/{gatewayID}/scans

- removed ‘ELECTROLYZER’ discriminator mapping keys from the ‘/items/appliances/items/’ response property for the response status ‘200’
- removed ‘#/components/schemas/Electrolyzer’ from the ‘/items/appliances/items/’ response property ‘oneOf’ list for the response status ‘200’

## GET /systems

- ⚠ removed the optional property ‘/items/tariffID’ from the response with the ‘200’ status

## POST /systems

- ⚠ removed the optional property ‘tariffID’ from the response with the ‘201’ status

## GET /systems/{systemID}

- ⚠ removed the optional property ‘tariffID’ from the response with the ‘200’ status

## PATCH /systems/{systemID}

- ⚠ removed the optional property ‘tariffID’ from the response with the ‘200’ status

## GET /user/stars/systems

- ⚠ removed the optional property ‘/items/tariffID’ from the response with the ‘200’ status

(sha 46f33a34)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [January 27, 2025, 2:49pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/10 "2025-01-27T14:49:45Z")

</div>

# Changelog 2025-01-27T14:49:44.713Z

## GET /systems/{systemID}/timeofuse/decisions

- ⚠ added the new ‘BATTERY\_CHARGE\_FROM\_SURPLUS’ enum value to the ‘decisions/items/case\_name’ response property for the response status ‘200’

## GET /systems/{systemID}/timeofuse/status

- ⚠ added the new ‘MISSING\_FUSE\_IMPORT\_LIMIT’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’

## GET /systems/{systemID}/timeofuse/status/current

- ⚠ added the new ‘MISSING\_FUSE\_IMPORT\_LIMIT’ enum value to the ‘status/error\_code’ response property for the response status ‘200’

(sha 15cf4a58)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [January 30, 2025, 11:37am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/11 "2025-01-30T11:37:12Z")

</div>

# Changelog 2025-01-30T11:37:11.793Z

## GET /accounts/{accountID}/systems

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

## GET /gateways

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘/items/scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘scanners/items/’ response property for the response status ‘200’
- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘system/gateways/items/scanners/items/’ response property for the response status ‘200’

## PATCH /gateways/{gatewayID}

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}/scans

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘/items/scanners/items/name’ response property for the response status ‘200’

## GET /systems

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

## POST /systems

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘201’

## GET /systems/{systemID}

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’

## PATCH /systems/{systemID}

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’

## POST /systems/{systemID}/gateways

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘scanners/items/’ response property for the response status ‘201’

## GET /user/stars/systems

- ⚠ added the new ‘READY\_FOR\_GRIDX’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’

(sha 4044c485)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [February 3, 2025, 1:58pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/12 "2025-02-03T13:58:14Z")

</div>

# Changelog 2025-02-03T13:58:13.773Z

## PATCH /spine/devices/{deviceID}/powersequences/{sequenceID}

- ⚠ api path removed without deprecation

## GET /systems/{systemID}/tariff

- ⚠ added the new ‘DYNAMIC’ enum value to the ‘offtakeType’ response property for the response status ‘200’

## PATCH /systems/{systemID}/tariff

- ⚠ added the new ‘DYNAMIC’ enum value to the ‘offtakeType’ response property for the response status ‘200’

## POST /systems/{systemID}/tariff

- ⚠ added the new ‘DYNAMIC’ enum value to the ‘offtakeType’ response property for the response status ‘201’

(sha 08ba91d3)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [February 17, 2025, 10:14am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/13 "2025-02-17T10:14:00Z")

</div>

# Changelog 2025-02-17T10:13:59.951Z

## GET /account

- api operation id ‘getAuthenticatedAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /account

- api operation id ‘updateAuthenticatedAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /account/market-prices/{platform}

- api operation id ‘listMarketPrices’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /account/tokens

- api operation id ‘listOrganizationalApiTokens’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /account/tokens

- api operation id ‘createOrganizationalApiToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /account/tokens/{tokenID}

- api operation id ‘deleteOrganizationalApiToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /account/tokens/{tokenID}

- api operation id ‘getOrganizationalApiToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /account/tokens/{tokenID}

- api operation id ‘updateOrganizationalApiToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /account/tokens/{tokenID}/rotate

- api operation id ‘rotateOrganizationalApiToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts

- api operation id ‘listAccounts’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API
- added the new optional ‘query’ request parameter ‘accountIDs’
- added the new optional ‘query’ request parameter ‘include’

## POST /accounts

- api operation id ‘createAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /accounts/{accountID}

- api operation id ‘deleteAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}

- api operation id ‘getAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /accounts/{accountID}

- api operation id ‘updateAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/accounts

- api operation id ‘listChildAccounts’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/bidding-zone

- api operation id ‘getAccountBiddingZone’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /accounts/{accountID}/bidding-zone

- api operation id ‘setAccountBiddingZone’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/groups

- api operation id ‘listAccountGroups’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /accounts/{accountID}/groups

- api operation id ‘createAccountGroup’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /accounts/{accountID}/groups/{groupID}

- api operation id ‘deleteAccountGroup’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/groups/{groupID}

- api operation id ‘getAccountGroup’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/groups/{groupID}/policies

- api operation id ‘listAccountGroupPolicies’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/product-options

- api operation id ‘listAccountProductOptions’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API
- added the new optional ‘query’ request parameter ‘isDefault’
- added the new optional ‘query’ request parameter ‘optionIDs’

## DELETE /accounts/{accountID}/scanconfiguration

- api operation id ‘deleteScanConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/scanconfiguration

- api operation id ‘getScanConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /accounts/{accountID}/scanconfiguration

- api operation id ‘updateScanConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /accounts/{accountID}/scanconfiguration

- api operation id ‘createScanConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /accounts/{accountID}/systems

- api operation id ‘unassignSystemFromAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/systems

- api operation id ‘listAccountSystems’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /accounts/{accountID}/systems

- api operation id ‘assignSystemToAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/tree

- endpoint added

## DELETE /accounts/{accountID}/users/{userID}

- api operation id ‘deleteUser’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/users/{userID}/notifications

- api operation id ‘listUserNotifications’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/users/{userID}/notifications/rules

- api operation id ‘listUserNotificationRules’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /accounts/{accountID}/users/{userID}/notifications/rules

- api operation id ‘createUserNotificationRule’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /accounts/{accountID}/users/{userID}/notifications/rules/{ruleID}

- api operation id ‘deleteUserNotificationRule’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/users/{userID}/notifications/rules/{ruleID}

- api operation id ‘getUserNotificationRule’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /accounts/{accountID}/users/{userID}/notifications/rules/{ruleID}

- api operation id ‘updateUserNotificationRule’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /accounts/{accountID}/users/{userID}/notifications/{notificationID}

- api operation id ‘getUserNotification’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /clusters/{clusterID}/live

- api operation id ‘getLatestCurtailmentClusterLiveMeasurement’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /customers

- api operation id ‘listCustomers’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /customers/{customerID}

- api operation id ‘deleteCustomer’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /customers/{customerID}

- api operation id ‘getCustomer’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /customers/{customerID}

- api operation id ‘updateCustomer’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /customers/{customerID}/users

- api operation id ‘listUsersOfCustomer’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways

- api operation id ‘listGateways’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /gateways/{gatewayID}

- api operation id ‘deleteGateway’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}

- api operation id ‘getGateway’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /gateways/{gatewayID}

- api operation id ‘updateGateway’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances

- api operation id ‘listGatewayAppliances’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /gateways/{gatewayID}/appliances/{applianceID}

- api operation id ‘deleteGatewayAppliance’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances/{applianceID}

- api operation id ‘getGatewayAppliance’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /gateways/{gatewayID}/appliances/{applianceID}

- api operation id ‘updateGatewayAppliance’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /gateways/{gatewayID}/appliances/{applianceID}/ev/configuration

- api operation id ‘deleteGatewayApplianceEVConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances/{applianceID}/ev/configuration

- api operation id ‘getGatewayApplianceEVConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /gateways/{gatewayID}/appliances/{applianceID}/ev/configuration

- api operation id ‘updateGatewayApplianceEVConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /gateways/{gatewayID}/appliances/{applianceID}/ev/configuration

- api operation id ‘createGatewayApplianceEVConfiguration’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements

- api operation id ‘getSystemCombinedMeasurements’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements/appliance

- api operation id ‘getSystemRawMeasurements’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements/energymanagement

- api operation id ‘getSystemEnergyManagementMeasurements’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/jobs

- api operation id ‘listGatewayJobs’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /gateways/{gatewayID}/jobs/{jobIDOrType}

- api operation id ‘cancelGatewayJob’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/jobs/{jobIDOrType}

- api operation id ‘getGatewayJob’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /gateways/{gatewayID}/jobs/{jobIDOrType}

- api operation id ‘createGatewayJob’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /gateways/{gatewayID}/scans

- api operation id ‘listGatewayScans’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /policies

- api operation id ‘listPolicyDocuments’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /policies

- api operation id ‘createPolicyDocument’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /policies/{policyID}

- api operation id ‘deletePolicyDocument’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /policies/{policyID}

- api operation id ‘getPolicyDocument’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /policies/{policyID}

- api operation id ‘updatePolicyDocument’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /policies/{policyID}/groups

- api operation id ‘assignPolicyDocumentToGroup’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /policies/{policyID}/groups/{groupID}

- api operation id ‘unassignPolicyDocumentFromGroup’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /policies/{policyID}/statements/{statementID}

- api operation id ‘unassignPolicyStatementFromDocument’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /product-functionalities

- api operation id ‘listProductFunctionalities’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API
- added the new optional ‘query’ request parameter ‘functionalityIDs’

## GET /product-functionalities/{functionalityID}

- api operation id ‘getProductFunctionality’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems

- api operation id ‘listSystems’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems

- api operation id ‘createSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /systems/{systemID}

- api operation id ‘deleteSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}

- api operation id ‘getSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /systems/{systemID}

- api operation id ‘updateSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/ev-profiles

- api operation id ‘listSystemEVProfiles’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems/{systemID}/ev-profiles

- api operation id ‘createSystemEVProfile’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /systems/{systemID}/ev-profiles/{evProfileID}

- api operation id ‘deleteSystemEVProfile’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/ev-profiles/{evProfileID}

- api operation id ‘getSystemEVProfile’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /systems/{systemID}/ev-profiles/{evProfileID}

- api operation id ‘updateSystemEVProfile’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/evcharging-schedules

- api operation id ‘listSystemEVChargingSchedules’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems/{systemID}/evcharging-schedules

- api operation id ‘createSystemEVChargingSchedule’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems/{systemID}/gateways

- api operation id ‘createSystemGateway’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /systems/{systemID}/gateways/{gatewayID}/import-power-limit

- api operation id ‘deleteSystemGatewayImportPowerLimit’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/gateways/{gatewayID}/import-power-limit

- api operation id ‘getSystemGatewayImportPowerLimit’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /systems/{systemID}/gateways/{gatewayID}/import-power-limit

- api operation id ‘setSystemGatewayImportPowerLimit’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/historical

- api operation id ‘getSystemHistoricalMeasurements’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/live

- api operation id ‘getSystemLiveMeasurements’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /systems/{systemID}/power-limit-schedules/{scheduleID}

- api operation id ‘deleteSystemPowerLimitSchedule’ was added

## GET /systems/{systemID}/power-limit-schedules/{scheduleID}

- api operation id ‘getSystemPowerLimitSchedule’ was added

## PATCH /systems/{systemID}/power-limit-schedules/{scheduleID}

- api operation id ‘updateSystemPowerLimitSchedule’ was added

## GET /systems/{systemID}/tags

- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /systems/{systemID}/tags

- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /systems/{systemID}/tags

- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /systems/{systemID}/tags/{tagName}

- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /systems/{systemID}/tags/{tagName}

- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/tariff

- api operation id ‘getSystemTariff’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /systems/{systemID}/tariff

- api operation id ‘updateSystemTariff’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems/{systemID}/tariff

- api operation id ‘setSystemTariff’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/tariff/prices

- api operation id ‘listSystemTariffPrices’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /systems/{systemID}/tariff/prices

- api operation id ‘setSystemTariffPrices’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/decisions

- api operation id ‘getSystemTimeOfUseDecisions’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/forecasts/meter

- api operation id ‘listSystemTimeOfUseForecasts’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/forecasts/meter/last-updated

- api operation id ‘getSystemTimeOfUseForecastLastUpdated’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/kpi

- api operation id ‘listHistoricalSystemTimeOfUseKPIs’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/readiness

- api operation id ‘getSystemTimeOfUseReadiness’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/settings

- api operation id ‘getSystemTimeOfUseSettings’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /systems/{systemID}/timeofuse/settings

- api operation id ‘updateSystemTimeOfUseSettings’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /systems/{systemID}/timeofuse/settings

- api operation id ‘setSystemTimeOfUseSettings’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/status

- ⚠ added the new ‘BATTERY\_UNCONTROLLABLE’ enum value to the ‘periods/items/warnings/items/’ response property for the response status ‘200’
- ⚠ added the new ‘MISSING\_EV\_SOC\_ESTIMATION’ enum value to the ‘periods/items/warnings/items/’ response property for the response status ‘200’
- api operation id ‘listHistoricalSystemTimeOfUseStatus’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /systems/{systemID}/timeofuse/status/current

- ⚠ added the new ‘BATTERY\_UNCONTROLLABLE’ enum value to the ‘status/warnings/items/’ response property for the response status ‘200’
- ⚠ added the new ‘MISSING\_EV\_SOC\_ESTIMATION’ enum value to the ‘status/warnings/items/’ response property for the response status ‘200’
- api operation id ‘getSystemTimeOfUseCurrentStatus’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user

- api operation id ‘getAuthenticatedUser’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /user

- api operation id ‘updateAuthenticatedUser’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/logins

- api operation id ‘listAuthenticatedUserLogins’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/notifications

- api operation id ‘listAuthenticatedUserNotifications’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/notifications/{notificationID}

- api operation id ‘getAuthenticatedUserNotification’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /user/notifications/{notificationID}

- api operation id ‘updateAuthenticatedUserNotification’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/policies

- api operation id ‘listAuthenticatedUserPolicies’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/stars/accounts

- api operation id ‘listStarredAccounts’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /user/stars/accounts/{accountID}

- api operation id ‘unstarAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /user/stars/accounts/{accountID}

- api operation id ‘starAccount’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/stars/systems

- api operation id ‘listStarredSystems’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /user/stars/systems/{systemID}

- api operation id ‘unstarSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PUT /user/stars/systems/{systemID}

- api operation id ‘starSystem’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/tokens

- api operation id ‘listAuthenticatedUserTokens’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## POST /user/tokens

- api operation id ‘createUserToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## DELETE /user/tokens/{tokenID}

- api operation id ‘deleteUserToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## GET /user/tokens/{tokenID}

- api operation id ‘getUserToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

## PATCH /user/tokens/{tokenID}

- api operation id ‘updateUserToken’ was added
- the endpoint scheme security ‘HeaderAuth’ was added to the API
- the endpoint scheme security ‘BearerAuth’ was removed from the API

(sha 42d097c9)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 4, 2025, 2:07pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/14 "2025-03-04T14:07:45Z")

</div>

# Changelog 2025-03-04T14:07:45.369Z

## GET /account

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## PATCH /account

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /accounts

- ⚠ deleted the ‘query’ request parameter ‘accountIDs’
- added the new optional ‘query’ request parameter ‘account\_ids’
- added the new optional ‘query’ request parameter ‘full\_hierarchy’
- added the optional property ‘/items/isInstaller’ to the response with the ‘200’ status

## POST /accounts

- added the optional property ‘isInstaller’ to the response with the ‘201’ status

## GET /accounts/{accountID}

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## PATCH /accounts/{accountID}

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /accounts/{accountID}/accounts

- added the new optional ‘query’ request parameter ‘full\_hierarchy’
- added the optional property ‘/items/isInstaller’ to the response with the ‘200’ status

## DELETE /accounts/{accountID}/systems

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /accounts/{accountID}/systems

- added the optional property ‘/items/accounts/items/isInstaller’ to the response with the ‘200’ status

## POST /accounts/{accountID}/systems

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /accounts/{accountID}/tree

- ⚠ deleted the ‘query’ request parameter ‘accountIDs’
- added the new optional ‘query’ request parameter ‘account\_ids’
- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /customers

- added the optional property ‘/items/isInstaller’ to the response with the ‘200’ status

## GET /customers/{customerID}

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## PATCH /customers/{customerID}

- added the optional property ‘isInstaller’ to the response with the ‘200’ status

## GET /gateways/{gatewayID}

- added the optional property ‘system/accounts/items/isInstaller’ to the response with the ‘200’ status

## GET /gateways/{gatewayID}/appliances/{applianceID}/measurements/energymanagement

- ⚠ the response’s body type/format changed from ‘object’/‘’ to ‘array’/‘’ for status ‘200’
- ⚠ removed the optional property ‘activePowerSetpoint’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘activePowerSetpointSystemicError’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘dynamicFeedInCurtailment’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘energyOverFeedInCumulatedDaily’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘l1CurrentSetpoint’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘l2CurrentSetpoint’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘l3CurrentSetpoint’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘maxStateOfChargeAfterMaxFeedIn’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘measuredAt’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘predictedEnergyOutput’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘prognosisBasedBatteryCharging’ from the response with the ‘200’ status
- ⚠ removed the optional property ‘strategyID’ from the response with the ‘200’ status

## POST /health-checks

- endpoint added

## GET /systems

- added the optional property ‘/items/accounts/items/isInstaller’ to the response with the ‘200’ status

## POST /systems

- added the optional property ‘accounts/items/isInstaller’ to the response with the ‘201’ status

## GET /systems/{systemID}

- added the optional property ‘accounts/items/isInstaller’ to the response with the ‘200’ status

## PATCH /systems/{systemID}

- added the optional property ‘accounts/items/isInstaller’ to the response with the ‘200’ status

## GET /user/stars/accounts

- added the optional property ‘/items/isInstaller’ to the response with the ‘200’ status

## GET /user/stars/systems

- added the optional property ‘/items/accounts/items/isInstaller’ to the response with the ‘200’ status

(sha 15a36c8b)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 4, 2025, 5:20pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/15 "2025-03-04T17:20:02Z")

</div>

# Changelog 2025-03-04T17:20:02.301Z

## GET /account

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## PATCH /account

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /accounts

- ⚠ removed the optional property ‘/items/isInstaller’ from the response with the ‘200’ status

## POST /accounts

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘201’ status

## GET /accounts/{accountID}

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## PATCH /accounts/{accountID}

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /accounts/{accountID}/accounts

- ⚠ removed the optional property ‘/items/isInstaller’ from the response with the ‘200’ status

## DELETE /accounts/{accountID}/systems

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /accounts/{accountID}/systems

- ⚠ removed the optional property ‘/items/accounts/items/isInstaller’ from the response with the ‘200’ status

## POST /accounts/{accountID}/systems

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /accounts/{accountID}/tree

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /customers

- ⚠ removed the optional property ‘/items/isInstaller’ from the response with the ‘200’ status

## GET /customers/{customerID}

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## PATCH /customers/{customerID}

- ⚠ removed the optional property ‘isInstaller’ from the response with the ‘200’ status

## GET /gateways/{gatewayID}

- ⚠ removed the optional property ‘system/accounts/items/isInstaller’ from the response with the ‘200’ status

## GET /systems

- ⚠ removed the optional property ‘/items/accounts/items/isInstaller’ from the response with the ‘200’ status

## POST /systems

- ⚠ removed the optional property ‘accounts/items/isInstaller’ from the response with the ‘201’ status

## GET /systems/{systemID}

- ⚠ removed the optional property ‘accounts/items/isInstaller’ from the response with the ‘200’ status

## PATCH /systems/{systemID}

- ⚠ removed the optional property ‘accounts/items/isInstaller’ from the response with the ‘200’ status

## GET /user/stars/accounts

- ⚠ removed the optional property ‘/items/isInstaller’ from the response with the ‘200’ status

## GET /user/stars/systems

- ⚠ removed the optional property ‘/items/accounts/items/isInstaller’ from the response with the ‘200’ status

(sha 263c5e0b)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 13, 2025, 8:54am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/16 "2025-03-13T08:54:41Z")

</div>

# Changelog 2025-03-13T08:54:40.661Z

## GET /accounts/{accountID}/systems

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

## GET /gateways/{gatewayID}

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’

## GET /systems

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

## POST /systems

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘DONE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘WELCOME’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’

## GET /systems/{systemID}

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’

## PATCH /systems/{systemID}

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’

## GET /user/stars/systems

- ⚠ added the new ‘ACCOUNT\_ASSIGNMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘DONE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ELECTRICITY\_TARIFF\_V2’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGYMANAGEMENT\_ACTIVATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘ENERGY\_SUPPLIER’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘GRIDBOX\_STATUS’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘HEATING\_ROD’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PARAGRAPH\_14A’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘PERSONAL\_INFORMATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘STARTCODE’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHECK’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_CHILDREN\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_OVERVIEW’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_SETUP’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘SYSTEM\_TYPE\_SELECT’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘UNKNOWN’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘WELCOME’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

(sha 935eb2a8)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 17, 2025, 12:43pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/17 "2025-03-17T12:43:09Z")

</div>

# Changelog 2025-03-17T12:43:08.744Z

## GET /gateways

- added the new optional ‘query’ request parameter ‘include’

## GET /gateways/{gatewayID}

- added the new optional ‘query’ request parameter ‘include’

## GET /health-checks

- endpoint added

## POST /health-checks

- ⚠ removed the enum value ‘batteryCharge’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘batteryDischarge’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘chargingSessions’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘correctPhaseRotation’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘cosPhiValid’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘deviceAuthentication’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘emsActivated’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘energyFlow’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘nighttimePvProduction’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘peakExceeded’ of the request property ‘checks/items/type’
- ⚠ removed the enum value ‘productTypeConfigComplete’ of the request property ‘checks/items/type’
- ⚠ the ‘checks/items/params’ request property type/format changed from ‘object’/‘’ to ‘’/‘’
- ⚠ the response property ‘results/items/system/id’ became optional for the status ‘200’
- ⚠ added the new ‘applianceAuthenticated’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- ⚠ added the new ‘batteryCharged’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- ⚠ added the new ‘batteryDischarged’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- ⚠ added the new ‘nighttimePVProduction’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- ⚠ added the new ‘peakProductionExceeded’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- api operation id ‘run’ removed and replaced with ‘runHealthChecks’
- added the new optional request property ‘systems/items/gatewaySerialNumber’
- the request property ‘systems/items/id’ became optional
- added the new ‘applianceAuthenticated’ enum value to the request property ‘checks/items/type’
- added the new ‘batteryCharged’ enum value to the request property ‘checks/items/type’
- added the new ‘batteryDischarged’ enum value to the request property ‘checks/items/type’
- added the new ‘nighttimePVProduction’ enum value to the request property ‘checks/items/type’
- added the new ‘peakProductionExceeded’ enum value to the request property ‘checks/items/type’
- added ‘#/components/schemas/ApplianceAuthenticatedCheckRequest, #/components/schemas/BatteryChargedCheckRequest, #/components/schemas/BatteryDischargedCheckRequest, #/components/schemas/ConnectionIssueCheckRequest, #/components/schemas/ConsumptionProductionCorrelationCheckRequest, #/components/schemas/GridFeedInMissingCheckRequest, #/components/schemas/NighttimePVProductionCheckRequest, #/components/schemas/PeakProductionExceededCheckRequest’ to the ‘checks/items/params’ request property ‘oneOf’ list
- added the optional property ‘results/items/system/gatewaySerialNumber’ to the response with the ‘200’ status
- removed the ‘batteryCharge’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘batteryDischarge’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘chargingSessions’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘correctPhaseRotation’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘cosPhiValid’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘deviceAuthentication’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘emsActivated’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘energyFlow’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘nighttimePvProduction’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘peakExceeded’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’
- removed the ‘productTypeConfigComplete’ enum value from the ‘results/items/results/items/type’ response property for the response status ‘200’

## GET /systems/{systemID}/timeofuse/status

- ⚠ added the new ‘INTERNAL\_EXTRACT\_BATTERY\_DRIVER\_CONSTRAINTS’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_DRIVER\_CONSTRAINTS’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_HEAT\_PUMP\_DRIVER\_CONSTRAINTS’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_HYBRID\_INVERTER\_BATTERY\_CONSTRAINT’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_CONSTRAINT’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_CONSTRAINT\_MISSING\_BATTERY\_FIELDS’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_STATE’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_STATE\_MISSING\_BATTERY\_STATE\_OF\_CHARGE’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_OPTIMIZATION\_SOLVER’ enum value to the ‘periods/items/error\_code’ response property for the response status ‘200’

## GET /systems/{systemID}/timeofuse/status/current

- ⚠ added the new ‘INTERNAL\_EXTRACT\_BATTERY\_DRIVER\_CONSTRAINTS’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_DRIVER\_CONSTRAINTS’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_HEAT\_PUMP\_DRIVER\_CONSTRAINTS’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_EXTRACT\_HYBRID\_INVERTER\_BATTERY\_CONSTRAINT’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_CONSTRAINT’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_CONSTRAINT\_MISSING\_BATTERY\_FIELDS’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_STATE’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_MAP\_NODE\_STATE\_MISSING\_BATTERY\_STATE\_OF\_CHARGE’ enum value to the ‘status/error\_code’ response property for the response status ‘200’
- ⚠ added the new ‘INTERNAL\_OPTIMIZATION\_SOLVER’ enum value to the ‘status/error\_code’ response property for the response status ‘200’

(sha 9ae7086c)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 18, 2025, 4:03pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/18 "2025-03-18T16:03:42Z")

</div>

# Changelog 2025-03-18T16:03:42.249Z

## POST /health-checks

- ⚠ removed the required property ‘results/items/results/items/success’ from the response with the ‘200’ status
- added the required property ‘results/items/results/items/state’ to the response with the ‘200’ status

(sha bf7f0c5f)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 27, 2025, 3:30pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/19 "2025-03-27T15:30:23Z")

</div>

# Changelog 2025-03-27T15:30:22.445Z

## GET /account

- added the new optional ‘query’ request parameter ‘include’

## GET /accounts/{accountID}

- added the new optional ‘query’ request parameter ‘include’

## GET /accounts/{accountID}/systems

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’
- added the optional property ‘/items/metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

## GET /gateways

- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘/items/scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘system/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘scanners/items/’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘system/gateways/items/scanners/items/’ response property for the response status ‘200’
- added the optional property ‘system/metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘system/metadata/wizard/step’ response property for the response status ‘200’

## PATCH /gateways/{gatewayID}

- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘scanners/items/’ response property for the response status ‘200’

## GET /gateways/{gatewayID}/scans

- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘/items/scanners/items/name’ response property for the response status ‘200’

## GET /health-checks

- ⚠ added the new ‘hasSetpoints’ enum value to the ‘checks/items/type’ response property for the response status ‘200’

## POST /health-checks

- ⚠ removed the required property ‘results/items/results/items/success’ from the response with the ‘200’ status
- ⚠ added the new ‘hasSetpoints’ enum value to the ‘results/items/results/items/type’ response property for the response status ‘200’
- added the new ‘hasSetpoints’ enum value to the request property ‘checks/items/type’
- added the required property ‘results/items/results/items/state’ to the response with the ‘200’ status

## GET /systems

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’
- added the new optional ‘query’ request parameter ‘start\_code’
- added the optional property ‘/items/metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

## POST /systems

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘201’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘201’
- added the optional property ‘metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘201’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘metadata/wizard/step’ response property for the response status ‘201’

## GET /systems/{systemID}

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’
- added the optional property ‘metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘metadata/wizard/step’ response property for the response status ‘200’

## PATCH /systems/{systemID}

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘gateways/items/scanners/items/’ response property for the response status ‘200’
- added the optional property ‘metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘metadata/wizard/step’ response property for the response status ‘200’

## POST /systems/{systemID}/gateways

- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘scanners/items/’ response property for the response status ‘201’

## GET /systems/{systemID}/timeofuse/decisions

- ⚠ added the new ‘EV\_FORCE\_CHARGE’ enum value to the ‘decisions/items/insight/motives/items/’ response property for the response status ‘200’
- ⚠ added the new ‘EV\_STOP\_CHARGE’ enum value to the ‘decisions/items/insight/motives/items/’ response property for the response status ‘200’

## GET /user/stars/systems

- ⚠ added the new ‘KOSTAL\_CONFIGURATION’ enum value to the ‘/items/metadata/wizard/step’ response property for the response status ‘200’
- ⚠ added the new ‘KOSTAL\_ENECTOR\_CHARGING\_STATION’ enum value to the ‘/items/gateways/items/scanners/items/’ response property for the response status ‘200’
- added the optional property ‘/items/metadata/energy/ems/enabledInverterGCPControl’ to the response with the ‘200’ status
- removed the ‘ELECTRICITY\_TARIFF’ enum value from the ‘/items/metadata/wizard/step’ response property for the response status ‘200’

(sha 3ecc51a6)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [March 31, 2025, 1:08pm UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/20 "2025-03-31T13:08:47Z")

</div>

# Changelog 2025-03-31T13:08:47.004Z

## GET /accounts/{accountID}/systems

- added the new optional ‘query’ request parameter ‘include’

## POST /health-checks

- added the optional property ‘results/items/system/wizardStatus’ to the response with the ‘200’ status

(sha 3f5614ea)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [April 2, 2025, 8:28am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/21 "2025-04-02T08:28:29Z")

</div>

# Changelog 2025-04-02T08:28:29.205Z

## GET /account/tokens

- added the new optional ‘header’ request parameter ‘Current-Account’

(sha bc86e083)

---

<div class="post-metadata">

**Author:** ![botX](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/botx/32/232_2.png) [@botX](https://community.developer.gridx.de/u/botX)\
**Post date:** [April 2, 2025, 9:23am UTC](https://community.developer.gridx.de/t/gridx-api-changelog/324/22 "2025-04-02T09:23:58Z")

</div>

# Changelog 2025-04-02T09:23:58.375Z

## GET /account/tokens

- ⚠ deleted the ‘header’ request parameter ‘Current-Account’

## POST /account/tokens

- added the new optional ‘header’ request parameter ‘Current-Account’

(sha d93afa3b)

[Next page](https://community.developer.gridx.de/t/gridx-api-changelog/324.md?page=2)
